/*
 * Created by Stefan Korecko, 2020
 */


//--------------------------------------------------------------------------------------------------------------
//Dropdown menu functionality

function displayOrHideMenu(){
    document.getElementById("menuIts").classList.toggle("mnShow");
}

function hideMenu() {
    let menuClElmCList=document.getElementById("menuIts").classList;
    if(menuClElmCList.contains("mnShow")) menuClElmCList.remove("mnShow");

}

document.addEventListener("click", //radsej takto ako do document.onclick, lebo to by vyradilo iné listenery
    function(event){
        if(!event.target.matches("#menuCl, #menuTitle")) hideMenu();
    }
);


//--------------------------------------------------------------------------------------------------------------
//functions for transforming opinion(s) to Html code

function opinion2html(opinion){


    //TODO finish opinion2html


}

function opinionArray2html(sourceData){

    //TODO finish opinionArray2html

}



//--------------------------------------------------------------------------------------------------------------
//data and localStorage handling and rendering opinions to the page at startup

let opinions=[];

//TODO Add opinionsElm variable, referencing the div with id="opinionsContainer"

if(localStorage.myTreesComments){
    opinions=JSON.parse(localStorage.myTreesComments);
}

//TODO render opinions to html





//--------------------------------------------------------------------------------------------------------------
//Form processing functionality

/*
* Note:
* For the sake of simplicity, here we use window.alert to display messages to the user
* However, if possible, avoid them in the production versions of your web applications
*
*/

let commFrmElm=document.getElementById("opnFrm");

commFrmElm.addEventListener("submit",processOpnFrmData);

function processOpnFrmData(event){
    //1.prevent normal event (form sending) processing
    event.preventDefault();

    //2. Read and adjust data from the form (here we remove white spaces before and after the strings)
    const nopName = document.getElementById("nameElm").value.trim();
    const nopOpn = document.getElementById("opnElm").value.trim();
    const nopWillReturn = document.getElementById("willReturnElm").checked;

    //3. Verify the data
    if(nopName=="" || nopOpn==""){
        window.alert("Please, enter both your name and opinion");
        return;
    }

    //3. Add the data to the array opinions and local storage
    const newOpinion =
        {
            name: nopName,
            comment: nopOpn,
            willReturn: nopWillReturn,
            created: new Date()

        };


    opinions.push(newOpinion);
    localStorage.myTreesComments = JSON.stringify(opinions);


    //4. Update HTML
    //TODO add the new opinion to HTML


    //5. Reset the form
    commFrmElm.reset(); //resets the form
}
